LoginPortlet (gCube Join New Portlet 2.3.0-SNAPSHOT API)
Date: 2015-10-22

org.gcube.portlets.user.joinnew.server.portlet

## Class LoginPortlet

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.gcube.portlets.user.joinnew.server.portlet.LoginPortlet

- All Implemented Interfaces:
    javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet

      public class LoginPortlet
      extends javax.portlet.GenericPortlet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GATEWAY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginPortlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
    `void` | `init()`
    `void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `destroy, doDispatch, doEdit, doHeaders, doHelp, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init, processEvent, render, serveResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GATEWAY_NAME

          public static final String GATEWAY_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LoginPortlet

          public LoginPortlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws javax.portlet.PortletException

      Overrides:
        `init` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`

    - #### doView

          public void doView(javax.portlet.RenderRequest request,
                    javax.portlet.RenderResponse response)
                      throws javax.portlet.PortletException,
                             IOException

      Overrides:
        `doView` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### processAction

          public void processAction(javax.portlet.ActionRequest request,
                           javax.portlet.ActionResponse response)
                             throws javax.portlet.PortletException,
                                    IOException

      Specified by:
        `processAction` in interface `javax.portlet.Portlet`
      Overrides:
        `processAction` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

Copyright © 2015. All Rights Reserved.